---
kind: pipeline
type: ssh
name: default

clone:
        disable: true

server:
        host: 51.91.77.19:1982
        user: deliadmin
        password: CZkJe4ZlDX7y6WLnSFaH8TH9

steps:
        - name: greeting
          commands:
                  - echo "####Synchronisation des Themess"
                  - git clone https://git.deligraph.be/Antoine/Oxfam_Interactive_map.git
                  - rsync -avhp -e 'ssh -p 1982' ./dist/ ./oxfam/wordpress/lol/ --delete --exclude 'node_modules' --exclude 'Makefile' --exclude 'Makefile_dev' --exclude '.env' --exclude '.env_prod' --exclude '.env_dev' --exclude '.git'
secrets:
        host:
                external: true
